import 'package:syncrow_web/pages/device_managment/all_devices/models/device_status.dart';

class CeilingSensorModel {
  String presenceState;
  int sensitivity;
  String checkingResult;
  int presenceRange;
  int sportsPara;
  String bodyMovement;
  int noBodyTime;
  int maxDistance;

  CeilingSensorModel(
      {required this.presenceState,
      required this.sensitivity,
      required this.checkingResult,
      required this.presenceRange,
      required this.sportsPara,
      required this.bodyMovement,
      required this.noBodyTime,
      required this.maxDistance});

  factory CeilingSensorModel.fromJson(List<Status> jsonList) {
    late String _presenceState;
    late int _sensitivity;
    late String _checkingResult;
    int _presenceRange = 1;
    int _sportsPara = 1;
    String _bodyMovement = 'none';
    int _noBodyTime = 0;
    int _maxDis = 0;

    for (int i = 0; i < jsonList.length; i++) {
      if (jsonList[i].code == 'presence_state') {
        _presenceState = jsonList[i].value ?? 'none';
      } else if (jsonList[i].code == 'sensitivity') {
        _sensitivity = jsonList[i].value ?? 1;
      } else if (jsonList[i].code == 'checking_result') {
        _checkingResult = jsonList[i].value ?? '';
      } else if (jsonList[i].code == 'presence_range') {
        _presenceRange = jsonList[i].value ?? 0;
      } else if (jsonList[i].code == 'sports_para') {
        _sportsPara = jsonList[i].value ?? 0;
      } else if (jsonList[i].code == 'body_movement') {
        _bodyMovement = jsonList[i].value ?? '';
      } else if (jsonList[i].code == 'none_body_time') {
        _noBodyTime = jsonList[i].value ?? 0;
      } else if (jsonList[i].code == 'moving_max_dis') {
        _maxDis = jsonList[i].value ?? 0;
      }
    }
    return CeilingSensorModel(
        presenceState: _presenceState,
        sensitivity: _sensitivity,
        checkingResult: _checkingResult,
        presenceRange: _presenceRange,
        sportsPara: _sportsPara,
        bodyMovement: _bodyMovement,
        noBodyTime: _noBodyTime,
        maxDistance: _maxDis);
  }
}
